var selItems = VegasClient.getItemSelection(selectedItemsStoreId, selection, selectionImplied, securityContext);
var isOnStr = Packages.purescm.vegas.plugins.SoftwareTestMinder.getConfigOption("ca.scm.integration");
var isOn = (isOnStr != null && isOnStr.equalsIgnoreCase("on"));
if (isOn && selItems.size() > 0) {
	var msg = new java.lang.StringBuilder();
	var userCancelled = false;
	for (var idx = 0; idx < selItems.size(); idx++) {
		var curItem = selItems.get(idx);
		var itemType = curItem.callInternal(rulesToken, "getItemTypeInternal", null);
		var remRecs = curItem.callInternal(rulesToken, "getRemoteRecsInternal", null);
		// Ensure rules have fired
		remRecs.forceCheckPermissionsForEditableObject(rulesToken);
		if (remRecs.isCreateAllowedWithoutRulesToken()) {
			// Delegate to plugin method
			var msgPart = Packages.purescm.vegas.plugins.SoftwareTestMinder.createCASCMPackagesForItem(curItem, rulesToken, 
				selection.size() == 1 && curItem.getVersion() > 0, false, true, false);
			if (msgPart == null) {
				userCancelled = true;
				break;
			} else
				msg.append(itemType.getName() + " ID " + curItem.getGlobalId() + ":  " + msgPart + (msgPart.endsWith("\n") ? "\n" : "\n\n"));
		} else
			msg.append(itemType.getName() + " ID " + curItem.getGlobalId() + 
				":  You do not have permission to associate remote records to this item\n\n");
	}
	if (msg.length() == 0 && !userCancelled) {
		msg.append("No valid project mappings found to create packages");
		ClientMethods.showMessageBox(msg.toString(), "Create Packages", ClientMethods.ICON_INFORMATION,
			securityContext);
	} else if (msg.length() > 0) {
		var buttons = java.lang.reflect.Array.newInstance(java.lang.String, 1);
		buttons[0] = "OK";
		ClientMethods.showLongMessageBox("Create packages operation completed successfully:\n\n", msg.toString(),
			"Create Packages", buttons, ClientMethods.ICON_INFORMATION, 0, securityContext);
		result = new java.util.HashMap();
		result.put("evaluateNextSibling", true);
	}
}